@extends(Theme::viewName('layout'))
@section('title', trans('admin.metadata_upgrade.title'))

@section('breadcrumb')
    <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="fa fa-fw fa-home"></i></a></li>
    <li class="breadcrumb-item"><a href="{{ route('admin') }}">@lang('navigation.breadcrumb.admin')</a></li>
    <li class="breadcrumb-item"><a href="{{ route('albums.index') }}">@lang('navigation.breadcrumb.albums')</a></li>
    <li class="breadcrumb-item"><a href="{{ route('albums.show', ['id' => $album->id]) }}">{{ $album->name }}</a></li>
    <li  class="breadcrumb-item active">@lang('navigation.breadcrumb.metadata_upgrade')</li>
@endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-md-8 ml-md-auto mr-md-auto">
                <div class="card bg-primary">
                    <div class="card-header text-white">@yield('title')</div>
                    <div class="card-body bg-light">
                        <p>@lang('admin.metadata_upgrade.confirm', ['name' => $album->name])</p>
                        <p class="text-danger"><b>@lang('admin.metadata_upgrade.warning')</b></p>

                        <div class="text-right">
                            <form action="{{ route('albums.metadataPost', [$album->id]) }}" method="POST">
                                {{ csrf_field() }}
                                <a href="{{ route('admin.metadataUpgrade', ['id' => $album->id]) }}" class="btn btn-link">@lang('forms.cancel_action')</a>
                                <button id="submit-button" type="submit" class="btn btn-primary"><i class="fa fa-fw fa-check"></i> @lang('forms.continue_action')</button>
                            </form>
                        </div>
                        </pdiv>
                    </div>
                </div>
            </div>
        </div>
@endsection

@push('scripts')
    <script type="text/javascript">
        $(document).ready(function() {
            $('#submit-button').click(function() {
                $(this).prop('disabled', true);
                $(this).closest('form').submit();
            });
        });
    </script>
@endpush